Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class UIResponseRPTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.UIResponseRPTO

All Implemented Interfaces:
  Serializable

public class UIResponseRPTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UIResponseRPTO()`
`UIResponseRPTO(String addr1, String addr2, boolean extendedValid, String name, String phone, boolean valid, String verifier)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAddr1()` Gets the addr1 value for this UIResponseRPTO.
`String` | `getAddr2()` Gets the addr2 value for this UIResponseRPTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getName()` Gets the name value for this UIResponseRPTO.
`String` | `getPhone()` Gets the phone value for this UIResponseRPTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getVerifier()` Gets the verifier value for this UIResponseRPTO.
`int` | `hashCode()`
`boolean` | `isExtendedValid()` Gets the extendedValid value for this UIResponseRPTO.
`boolean` | `isValid()` Gets the valid value for this UIResponseRPTO.
`void` | `setAddr1(String addr1)` Sets the addr1 value for this UIResponseRPTO.
`void` | `setAddr2(String addr2)` Sets the addr2 value for this UIResponseRPTO.
`void` | `setExtendedValid(boolean extendedValid)` Sets the extendedValid value for this UIResponseRPTO.
`void` | `setName(String name)` Sets the name value for this UIResponseRPTO.
`void` | `setPhone(String phone)` Sets the phone value for this UIResponseRPTO.
`void` | `setValid(boolean valid)` Sets the valid value for this UIResponseRPTO.
`void` | `setVerifier(String verifier)` Sets the verifier value for this UIResponseRPTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIResponseRPTO

    public UIResponseRPTO()

### UIResponseRPTO

    public UIResponseRPTO(String addr1,
                          String addr2,
                          boolean extendedValid,
                          String name,
                          String phone,
                          boolean valid,
                          String verifier)

Method Detail

### getAddr1

    public String getAddr1()

  Gets the addr1 value for this UIResponseRPTO.

  Returns:
    addr1

### setAddr1

    public void setAddr1(String addr1)

  Sets the addr1 value for this UIResponseRPTO.

  Parameters:
    `addr1` -

### getAddr2

    public String getAddr2()

  Gets the addr2 value for this UIResponseRPTO.

  Returns:
    addr2

### setAddr2

    public void setAddr2(String addr2)

  Sets the addr2 value for this UIResponseRPTO.

  Parameters:
    `addr2` -

### isExtendedValid

    public boolean isExtendedValid()

  Gets the extendedValid value for this UIResponseRPTO.

  Returns:
    extendedValid

### setExtendedValid

    public void setExtendedValid(boolean extendedValid)

  Sets the extendedValid value for this UIResponseRPTO.

  Parameters:
    `extendedValid` -

### getName

    public String getName()

  Gets the name value for this UIResponseRPTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this UIResponseRPTO.

  Parameters:
    `name` -

### getPhone

    public String getPhone()

  Gets the phone value for this UIResponseRPTO.

  Returns:
    phone

### setPhone

    public void setPhone(String phone)

  Sets the phone value for this UIResponseRPTO.

  Parameters:
    `phone` -

### isValid

    public boolean isValid()

  Gets the valid value for this UIResponseRPTO.

  Returns:
    valid

### setValid

    public void setValid(boolean valid)

  Sets the valid value for this UIResponseRPTO.

  Parameters:
    `valid` -

### getVerifier

    public String getVerifier()

  Gets the verifier value for this UIResponseRPTO.

  Returns:
    verifier

### setVerifier

    public void setVerifier(String verifier)

  Sets the verifier value for this UIResponseRPTO.

  Parameters:
    `verifier` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD